Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class BranchFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.BranchFormats

All Implemented Interfaces:
  ElementFormats, LineFormats, java.lang.Cloneable

    public class BranchFormats

extends java.lang.Object
implements ElementFormats, LineFormats, java.lang.Cloneable

Field Summary
`private boolean` | `constantWidth`
`private java.awt.Color` | `lineColor`
`private DistanceValue` | `lineWidth`
`private DistanceValue` | `minLength`
`private DistanceValue` | `minSpaceAbove`
`private DistanceValue` | `minSpaceBelow`
`static boolean` | `STD_CONSTANT_WIDTH`
`static float` | `STD_MIN_LENGTH`
`static float` | `STD_MIN_SPACE_ABOVE`
`static float` | `STD_MIN_SPACE_BELOW`

Fields inherited from interface info.bioinfweb.treegraph.document.format.LineFormats
`DEFAULT_LINE_COLOR, DEFAULT_LINE_WIDTH_IN_MM`

Constructor Summary
`BranchFormats()`

Method Summary
`void` | `assign(BranchFormats other)`
`void` | `assignBranchFormats(BranchFormats other)`
`void` | `assignLineFormats(LineFormats other)`
`BranchFormats` | `clone()`
`java.awt.Color` | `getLineColor()`
`DistanceValue` | `getLineWidth()`
`DistanceValue` | `getMinLength()`
`DistanceValue` | `getMinSpaceAbove()`
`DistanceValue` | `getMinSpaceBelow()`
`boolean` | `isConstantWidth()`
`void` | `setConstantWidth(boolean constantWidth)`
`void` | `setLineColor(java.awt.Color color)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STD_CONSTANT_WIDTH

    public static final boolean STD_CONSTANT_WIDTH

See Also:
  Constant Field Values

### STD_MIN_LENGTH

    public static final float STD_MIN_LENGTH

See Also:
  Constant Field Values

### STD_MIN_SPACE_ABOVE

    public static final float STD_MIN_SPACE_ABOVE

See Also:
  Constant Field Values

### STD_MIN_SPACE_BELOW

    public static final float STD_MIN_SPACE_BELOW

See Also:
  Constant Field Values

### lineColor

    private java.awt.Color lineColor

### lineWidth

    private DistanceValue lineWidth

### constantWidth

    private boolean constantWidth

### minSpaceAbove

    private DistanceValue minSpaceAbove

### minSpaceBelow

    private DistanceValue minSpaceBelow

### minLength

    private DistanceValue minLength

Constructor Detail

### BranchFormats

    public BranchFormats()

Method Detail

### getLineWidth

    public DistanceValue getLineWidth()

  Specified by:
    `getLineWidth` in interface `LineFormats`

### getMinLength

    public DistanceValue getMinLength()

### getMinSpaceAbove

    public DistanceValue getMinSpaceAbove()

### getMinSpaceBelow

    public DistanceValue getMinSpaceBelow()

### getLineColor

    public java.awt.Color getLineColor()

  Specified by:
    `getLineColor` in interface `LineFormats`

### setLineColor

    public void setLineColor(java.awt.Color color)

  Specified by:
    `setLineColor` in interface `LineFormats`

### isConstantWidth

    public boolean isConstantWidth()

### setConstantWidth

    public void setConstantWidth(boolean constantWidth)

### assignLineFormats

    public void assignLineFormats(LineFormats other)

  Specified by:
    `assignLineFormats` in interface `LineFormats`

### assignBranchFormats

    public void assignBranchFormats(BranchFormats other)

### assign

    public void assign(BranchFormats other)

### clone

    public BranchFormats clone()

  Specified by:
    `clone` in interface `ElementFormats`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD